This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 204714 - FC5 PPC's anaconda totally confused by AppleRAID v2 partitions from Tiger
FC5 PPC's anaconda totally confused by AppleRAID v2 partitions from Tiger
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
5
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 21:04 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 15:36:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-08-30 21:04:52 EDT
Description of problem: The presence of AppleRAID v2 mirror partitions on the SATA drives of a dual 
G5 totally confuses anaconda. Several alerts appear after selecting the appropriate keyboard for your 
system. In each of these alerts, the message is "The partition's data region doesn't occupy the entire 
partition" with "ignore" and "cancel" buttons.

Version-Release number of selected component (if applicable):
Fedora Core 5
The AppleRAID mirror partitions were created under Tiger (MacOS X 10.4.x).

How reproducible: Always

Steps to Reproduce:
1. Install two SATA drives into a G5 and configure them as AppleRAID mirrors. This is most easily done 
as follows unde MacOS X 10.4. First boot from the MacOS X 10.4 installer DVD. Launch the "Disk Utility 
" application from the Installer menus and format both SATA drives as HFS extended. Quit the Disk 
Utility appication and once the Installer restarts launch the Terminal application from the installer 
menus. Once the Terminal application launches execute "diskutil enableRAID mirror disk0". This 
converts disk0 to a degraded AppleRAID mirror. Now you can add the missing spare as follows. Type 
"diskutil list" to verify that the two SATA drives are disk0 and disk1 and that the new AppleRAID is 
disk2. Now execute from the Terminal "diskutil repairMirror disk2 disk1" which will add the missing 
spare to the AppleRAID on disk2 using disk1. Quit from the Terminal application and then the Installer 
to restart.
2. Reboot with the Fedora Core 5 PPC disk 1 inserted and hold down the C key to boot from it.
3. Proceed through the installer steps to the step where you "select the appropriate keyboard for the 
system"
  
Actual results: An alert "The partition's data region doesn't occupy the entire partition" appears 
repeatedly with "ignore" and "cancel" buttons.


Expected results: I expected anaconda to at least mark the AppleRAID drives as unusable for Linux and 
proceed through to analyzing other non-AppleRAID drives.

Additional info:

The partitions on the offending drives appear as follows in Apple's diskutil...

[Jack-Howarths-Computer:~] howarth% diskutil list
/dev/disk0
   #:                   type name               size      identifier
   0: Apple_partition_scheme                    *149.1 GB disk0
   1:    Apple_partition_map                    31.5 KB   disk0s1
   2:             Apple_Boot                    128.0 MB  disk0s3
   3:             Apple_RAID                    148.9 GB  disk0s4
/dev/disk1
   #:                   type name               size      identifier
   0: Apple_partition_scheme                    *149.1 GB disk1
   1:    Apple_partition_map                    31.5 KB   disk1s1
   2:             Apple_Boot                    128.0 MB  disk1s3
   3:             Apple_RAID                    148.9 GB  disk1s4
/dev/disk2
   #:                   type name               size      identifier
   0:              Apple_HFS Tiger HD           *148.9 GB disk2
Comment 1 David Cantrell 2006-11-02 17:55:53 EST
The problem appears to be the Apple_Boot partitions not detected correctly. 
Apple_Bootstrap is the older name (I guess).  Checking for the Apple_Boot
partition now clears up the problem.

This is fixed in rawhide's parted.  I'm going to push out parted updates for FC5
and FC6 to address this problem as well.
Comment 2 David Cantrell 2006-11-27 15:36:29 EST
Updates have been pushed for FC5 and FC6, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.